Solid Edge Assembly Type Library
AddWithMatrix Method
Specifies the complete path and file name for the PartDocument or AssemblyDocument object being added to the assembly.
Specifies the position and orientation of the occurrence. This is a single-dimension array that defines a valid transformation matrix.
Description
Adds an occurrence to the active assembly using a transformation matrix.
Syntax
Visual Basic
Public Function AddWithMatrix( _
   ByVal OccurrenceFileName As String, _
   ByRef Matrix() As Double _
) As Occurrence
Parameters
OccurrenceFileName
Specifies the complete path and file name for the PartDocument or AssemblyDocument object being added to the assembly.
Matrix
Specifies the position and orientation of the occurrence. This is a single-dimension array that defines a valid transformation matrix.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgeAssembly.AssemblyDocument
    Dim objParts As SolidEdgeAssembly.Occurrences
    Dim dblMatrix(15) As Double
    Const TESTFILE = "T:\vbtests\testcases\cube.par"
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.AssemblyDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    ' adding a part document from a file to the assembly document
    Set objParts = objDoc.Occurrences
    ' defining the matrix
    dblMatrix(0) = 1
    dblMatrix(1) = 0
    dblMatrix(2) = 0
    dblMatrix(3) = 0
    dblMatrix(4) = 0
    dblMatrix(5) = 1
    dblMatrix(6) = 0
    dblMatrix(7) = 0
    dblMatrix(8) = 0
    dblMatrix(9) = 0
    dblMatrix(10) = 1
    dblMatrix(11) = 0
    dblMatrix(12) = 0.05
    dblMatrix(13) = 0.05
    dblMatrix(14) = 0.05
    dblMatrix(15) = 1
    Call objParts.AddWithMatrix(OccurrenceFileName:=TESTFILE, Matrix:=dblMatrix)
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objParts = Nothing
End Sub
See Also

Occurrences Collection  | Occurrences Members

Send comments on this topic.